### Function

# GObject boxed_free

#### Declaration

    void
    g_boxed_free (
      GType boxed_type,
      gpointer boxed
    )

#### Description

Free the boxed structure `boxed` which is of type `boxed_type`.

#### Parameters

`boxed_type`

  Type: `GType`

  The type of `boxed`.

`boxed`

  Type: `gpointer`

  The boxed structure to be freed.

  The data is owned by the caller of the function.